// JavaScript Document


// create an array for the 10 selected countries to convert currency to
var countryList = new Array('Euro - EUR', 'Hong Kong Dollar - HKD', 'United Kingdom Pounds - GBP',
							'Canadian Dollars - CAD', 'Australian Dollars - AUD', 'Japan Yen - JPY',
							'Indian Rupee - INR', 'New Zealand Dollars - NZD', 'Switzerland Francs - CHF',
							'South Africa Rand - ZAR');

// carefully create a corresponding array of the currency conversion factors
var currencyList = new Array(0.736142, 7.81415, 0.499689, 
							 1.12225, 1.19825, 118.370,
							 41.7003, 1.34250, 1.20729,
							 7.04369);

// this function initializes the whole Web page
function initializePage()
{
	createCountryOpts();   // put all the countries into the <select> element
	resetAmountInput();    // clear the amount field
	resetAnswerOutput();   // clear the output field
}

// this function populates the <select> element
function createCountryOpts()
{
	// get the <select> element to work with
	var currencySelect = document.getElementById('convert2');
	
	// variable to hold the new <option> element
	var newOpt;
	
	// a simple counter for the for loop
	var i;
	
	// for loop creates a new <option> element, assigns the text and value attributes, and 
	// adds the attribute to the <select> element
	for(i = 0; i < currencyList.length; i++)
	{
		newOpt = document.createElement('option');
		newOpt.text = countryList[i];      // adds the value for text attribute for the <select> element
		newOpt.value = currencyList[i];    // adds the conversion factor corresponding to the country
		
		// try catch block that handles the different requirements for IE vs. other browsers
		try
		{
			currencySelect.add(newOpt, null);	
		}
		catch(ex)
		{
			currencySelect.add(newOpt);	
		}
	}
}

// this function initializes/resets the text input and value for the <input> element for the currency to convert from
function resetAmountInput()
{
	var amount = document.getElementById('currAmount');
	amount.text = 1.00;
	amount.value = 1.00;
}

// this function initializes/resets the text output and value for the answer <input> element
function resetAnswerOutput()
{
	var answer = document.getElementById('answer');
	answer.text = '';
	answer.value = '';
}

// *1* this function converts the currency from the students chosen 'from' currency to the selected 'to' currency
function convertCurrency()
{
	
	// method that performs output to the <input> element
	writeAnswer(convertedCurrency, usdDollar, usdCents);
}

// *2* this function writes output to the <input> that holds the answer
// take special note of the arguments passed to this function
// Where did they come from? What do they represent?
function writeAnswer(convCurr, usdD, usdC)
{
	// reset the output before writing the new answer
	resetAnswerOutput();
	
}